> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rendernet.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Archive Asset V2

> The archive assets endpoint allows users to archive their uploaded assets. Users can send a list of asset ids to this endpoint to archive the associated assets.

<Info>
  V2 offers streamlined and precise attributes in requests and responses, making asset usage more efficient and simpler.
</Info>


## OpenAPI

````yaml post /pub/v2/assets/archive
openapi: 3.0.2
info:
  description: >-
    The Affogato API section provides a comprehensive set of APIs that allow you
    to create high-quality media content using textual and graphical inputs. By
    utilizing the features provided in this section, users can easily generate
    engaging visuals and media assets.You need an API key to use these APIs. To
    get your personal key, log in to Affogato, head to the account page at
    [Affogato](https://affogato.ai/account) and hit generate API key. Add this
    key as an X-API-Key header in the requests that you send.
  title: Affogato API
  version: '1.0'
servers: []
security: []
tags:
  - description: >-
      The Generation section allows users to create, view, and delete images on
      Rendernet.
    name: Generation
  - description: >-
      Explore all available resources that can be used for generating images on
      Rendernet. With this section, users can easily access key details about
      the resources at their disposal.
    name: Resources
  - description: Upload / Get information about assets that can be used for generation.
    name: Assets
paths:
  /pub/v2/assets/archive:
    post:
      tags:
        - Assets
      summary: Delete Assets
      description: >-
        The archive assets endpoint allows users to archive their uploaded
        assets. Users can send a list of asset ids to this endpoint to archive
        the associated assets.
      parameters:
        - description: >-
            API key needed to access our public endpoints. You can find yours
            under the 'Account' section of the website
          required: true
          schema:
            type: string
            title: X-API-KEY
            description: >-
              API key needed to access our public endpoints. You can find yours
              under the 'Account' section of the website
          name: X-API-KEY
          in: header
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ArchiveAssetsRequest'
      responses:
        '204':
          description: Assets have been archived successfully
components:
  schemas:
    ArchiveAssetsRequest:
      properties:
        ids:
          items:
            $ref: '#/components/schemas/AssetId'
          type: array
      type: object
    AssetId:
      example: ast_01
      type: string

````